# Automatic Parameter Selection for Non-Redundant Clustering Algorithms

Implementation of AutoNR, which is able to determine the amount of subspaces and clusters per subspace for the Nr-Kmeans algorithm.
Includes an implementation of Nr-Kmeans as proposed in "Discovering Non-Redundant K-means Clusterings in Optimal Subspaces".

In contrast to Nr-Kmeans the AutoNR algorithm does not need any input parameters.

# Getting Started

* Nr-Kmeans

```python
from autonr.nrkmeans import NrKmeans

result = NrKmeans([4, 3, 2, 1])
result.fit(data)
```

* AutoNR

```python
from autonr.autonr import AutoNR

result = AutoNR()
result.fit(data)
```

# Experiments

The package already contains the experiments. These can be executed by following command:

```python
from autonr.experiments import qualitative_experiments, runtime_experiments

qualitative_experiments()
runtime_experiments()
```
